Capitolo 2. Esecuzione di GIMP
| Parte I. Introduzione |

## Capitolo 2. Esecuzione di GIMP

## 1. Eseguire GIMP

Il modo più usato per eseguire GIMP è di fare clic sull'icona corrispondente (se il vostro sistema è predisposto per mostrarla) oppure potete anche eseguirlo battendo gimp a riga di comando. Se ci sono più versioni di GIMP installate, può essere necessario battere per es. gimp-2.6 per eseguire la versione specificata. È possibile aggiungere alla riga di comando, dopo il nome di gimp, un elenco di file immagine e questi saranno automaticamente aperti da GIMP alla partenza. Naturalmente è sempre possibile aprire altri file da GIMP una volta che questo è in esecuzione.

La gran parte dei sistemi operativi supportano l'associazione dei nomi dei file, associando una classe di file (determinata dall'estensione di questi, come ad esempio .jpg) ad una applicazione (come per esempio GIMP). Quando i file immagine sono correttamente «associati» a GIMP, è possibile fare doppio clic su un'immagine per aprirla automaticamente in GIMP.

### 1.1. Piattaforme conosciute

GIMP è attualmente il programma di fotoritocco più ampiamente supportato esistente. Le piattaforme su cui GIMP è provato funzionare includono:

GNU/Linux™, Apple Mac OS X™, Microsoft Windows™, OpenBSD™, NetBSD™, FreeBSD™, Solaris™, SunOS™, AIX™, HP-UX™, Tru64™, Digital UNIX™, OSF/1™, IRIX™, OS/2™, and BeOS™.

GIMP può essere facilmente portato su altri sistemi operativi grazie alla disponibilità del suo codice sorgente. Per ulteriori informazioni visitare il sito degli sviluppatori di GIMP [GIMP-DEV].

### 1.2. Lingua

GIMP rileva automaticamente e usa la lingua di sistema. Nella improbabile ipotesi che il rilevamento automatico non funzioni correttamente o più probabilmente se si desiderasse usare GIMP in una lingua diversa, è possibile agire in questo modo:

Linux

  In LINUX: in console, battere `LANGUAGE=it gimp` o `LANG=it gimp` sostituire it con en, de, ecc. a seconda della lingua che si desidera impostare. Spiegazione: con l'esecuzione del comando `LANGUAGE=it o LANG=it` si sta impostando una variabile ambiente per il programma eseguito successivamente, in questo caso `gimp`.

Windows XP

  In WINDOWS XP: Pannello di controllo / Sistema / Avanzato / tasto "Ambiente" / Nell'area "Variabili di sistema": Tasto "Aggiungi": inserire LANG come nome e it o de... come valore. Attenzione! È necessario fare clic sui tre "OK" successivi per confermare la scelta.

  Se si cambia spesso lingua, è possibile creare una procedura batch per automatizzare il processo. Aprire il programma «Blocco note» e battere i seguenti comandi (per la lingua francese ad esempio):

  `set lang=fr start gimp-2.6.exe`

  . Salvare questo file come `GIMP-FR.BAT` (o altro nome, basta che sia sempre con l'estensione `.BAT`). Creare un'icona per esso e trascinarla sul desktop o su un menu a piacere.

  Un'altra possibilità: Avvio → Programmi → GTK Runtime Environment e poi Select language e selezionare la lingua che si desidera nell'elenco che viene mostrato.

Apple Mac OS X

  Andare alle preferenze di sistema, fare clic sull'icona internazionale, e nella linguetta Lingua, la lingua preferita dovrebbe essere la prima dell'elenco.

Un'altra istanza di GIMP

  È possibile ottenere una nuova istanza di GIMP eseguendolo da riga di comando con l'opzione `-n`: per esempio con il comando `gimp-2.6` si esegue GIMP nella propria lingua e con `LANGUAGE=en gimp-2.6 -n` si può avere un'altra istanza di GIMP in inglese. Ciò è molto utile, per esempio, ai traduttori di GIMP.

### 1.3. Argomenti della riga di comando

Malgrado gli argomenti non siano indispensabili per avvio di GIMP, i più comuni sono elencati di seguito. Su un sistema Unix, si può usare il comando `man gimp` per ottenere l'elenco completo.

Per usare gli argomenti da riga di comando, è necessario impostarli nella riga di comando usata per avviare GIMP nella forma: gimp-2.6 [OPZIONI...] [FILE|URI...].

-?, --help

  Mostra un elenco di tutte le opzioni a riga di comando.

--help-all

  Mostra tutte le opzioni di aiuto.

--help-gtk

  Mostra le opzioni GTK+.

-v, --version

  Stampa la versione di GIMP e esce.

--license

  Mostra le informazioni sulla licenza e esce.

--verbose

  Mostra i messaggi di partenza in maniera dettagliata.

-n, --new-instance

  Esegue una nuova istanza di GIMP.

-a, --as-new

  Apri le immagini come nuove.

-i, --no-interface

  Esegui senza interfaccia utente.

-d, --no-data

  Non caricare motivi, gradienti, tavolozze, o pennelli. Spesso utile in ambiti non interattivi dove il tempo di esecuzione deve essere ottimizzato.

-f, --no-fonts

  Non caricare nessun carattere. Questa opzione può servire sia a velocizzare la partenza di GIMP per script che non usano i caratteri, sia a trovare i problemi relativi a font malformati che potrebbero bloccare la partenza di GIMP.

-s, --no-splash

  Non mostrare la schermata iniziale alla partenza.

--no-shm

  Non utilizzare la memoria condivisa tra GIMP e i plugin.

--no-cpu-accel

  Non utilizzare le speciali accelerazioni CPU. Utile per trovare e eventualmente disabilitare funzioni o hardware di accelerazione bacati.

--session=`name`

  Usa un file `sessionrc` differente per la sessione GIMP. Il nome di sessione dato viene accodato al nome file `sessionrc` predefinito.

--gimprc=`filename`

  Usa un gimprc alternativo invece del predefinito. Il file `gimprc` contiene la registrazione delle preferenze. Utile nel caso che il percorso dei plugin o le specifiche macchina siano differenti.

--system-gimprc=`filename`

  Usa un file gimprc di sistema alternativo.

-b, --batch=`commands`

  Esegui l'insieme dei comandi in maniera non interattiva. L'insieme dei comandi è tipicamente in forma di script che può essere eseguito da una delle estensioni di script di GIMP. Se il comando è `-` i comandi vengono letti dallo standard input.

--batch-interpreter=`proc`

  Specifica la procedura da usare per elaborare i processi batch. La procedura predefinita è Script-Fu.

--console-messages

  Non mostrare le finestre di dialogo per errori e avvertimenti. Stampa tutti i messaggi sulla console.

--pdb-compat-mode=`mode`

  Modalità compatibile PDB (off|on|warn).

--stack-trace-mode=`mode`

  Esegui il debug nel caso di un blocco (never|query|always) (NdT: mai|chiedi|sempre).

--debug-handlers

  Abilita debugging dei segnali non fatali. Utile per il debugging di GIMP.

--g-fatal-warnings

  Fai in modo che tutti gli avvertimenti (warning) siano fatali. Utile per il debug.

--dump-gimprc

  Genera un file gimprc con valori predefiniti. Utile se si ha il dubbio di aver rovinato il file gimprc.

--display=`display`

  Usato per indicare il display X (non si applica a tutte le piattaforme).

2. Cosa c'è di nuovo in GIMP 2.6? |  | 2. Prima esecuzionde di GIMP